subroutine ifft_2d(data,npts,nfft)

!
!  Modified
!	German Prieto
!	December 2004
!
!  The discrete inverse fourier tranform of a complex data set of size npts
!
!  Discussion:
!
! 	Note here that we are working with double precision, to keep 
! 	the notation from the multitaper code accordingly. 
!	This FFT does not seem to have the limitations of other 
!	codes, in the sense that it is capable of computing FFTs
!      	for any size of the data. 
!
!  Input/Output 	
!
!	data	the complex data to be inverse transformed, data(npts,nfft)
!
!  Input
!
!	npts	the length of the series data
!	nfft	the number of columns to take iFFT from.
!
!  calls cfftib, cfftb
!

!**********************************************************************

   implicit none

   integer             :: i
   integer, intent(in) :: npts, nfft
   
   real(8), dimension(4*npts+15) :: wsave

   complex(8), intent(in out), dimension(npts,nfft) :: data
   
!**********************************************************************

   if (nfft>4000 .and. npts>4000) then
      write(6,'(a)') 'It may take a while'
   endif

   call cfftib(npts, wsave)

   do i = 1,nfft
      call cfftb(npts, data(:,i), wsave)
   enddo
   
   return

end subroutine ifft_2d




