double precision function pssevf(x,work,n)

! 
!  Modified
!	German Prieto
!	November 2004
!
!   core function for dpss_ev
!   Here we compute the discrete prolate wavefunctions by
!   Fourier transforming using the slow ft code, at the 
!   desired places (for numerical integration).
! 
!   calls sft
! 

!**********************************************************************

   implicit none

   real(8), parameter :: pi=3.141592653589793d0, tpi= 2.d0*pi

   integer :: n

   real(8) :: om, ct, st, x, work


!**********************************************************************
   
   om=tpi*x

   call sft(work,n,om,ct,st)
   pssevf=ct*ct+st*st
      
   return

end function pssevf

